Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.vsbnet.async.mohm.session.impl
Class VsbNetMohmServiceImpl

    java.lang.Object
      be.ehealth.businessconnector.genericasync.helper.DefaultCommonAsyncService
          be.ehealth.businessconnector.vsbnet.async.mohm.session.impl.VsbNetMohmServiceImpl

All Implemented Interfaces:
  CommonAsyncService, VsbNetMohmService, ConfigurationModuleBootstrap.ModuleBootstrapHook

    public class VsbNetMohmServiceImpl

extends DefaultCommonAsyncService
implements VsbNetMohmService, ConfigurationModuleBootstrap.ModuleBootstrapHook

Constructor Summary
`VsbNetMohmServiceImpl()`

Method Summary
`void` | `bootstrap()`
`ProcessedPostResponse` | `cancelApplication(EMOHMDF111CancelApplicationRequest request, InputReference inputReference)`
`ProcessedPostResponse` | `consultApplication(EMOHMDF103ConsultapplicationRequest request, InputReference inputReference)`
`ProcessedPostResponse` | `consultSupportAndRepair(EMOHMDF104ConsultSupportAndRepairRequest request, InputReference inputReference)`
`ProcessedPostResponse` | `consultSupportAndRepairList(EMOHMDF112ConsultSupportAndRepairListRequest request, InputReference inputReference)`
`ProcessedPostResponse` | `createApplication(EMOHMDF101CreateApplicationRequest request, InputReference inputReference)`
`ProcessedPostResponse` | `createFictionalApplication(EMOHMDF102CreateFictionalApplicationRequest request, InputReference inputReference)`
`ProcessedGetResponse<EMOHMDF111CancelApplicationResponse>` | `getCancelApplication(GetRequest request)`
`ProcessedGetResponse<EMOHMDF103ConsultApplicationResponse>` | `getConsultApplication(GetRequest request)`
`ProcessedGetResponse<EMOHMDF104ConsultSupportAndRepairResponse>` | `getConsultSupportAndRepair(GetRequest request)`
`ProcessedGetResponse<EMOHMDF112ConsultSupportAndRepairListResponse>` | `getConsultSupportAndRepairList(GetRequest request)`
`ProcessedGetResponse<EMOHMDF101CreateApplicationResponse>` | `getCreateApplication(GetRequest request)`
`ProcessedGetResponse<EMOHMDF102CreateFictionalApplicationResponse>` | `getCreateFictionalApplication(GetRequest request)`
`ProcessedGetResponse<EMOHMDF107PushApplicationViewRequest>` | `getPushApplicationView(GetRequest request)`
`ProcessedGetResponse<EMOHMDF106PushDecisionRequest>` | `getPushDecision(GetRequest request)`
`ProcessedGetResponse<EMOHMDF105ReportDeliveryResponse>` | `getReportDelivery(GetRequest request)`
`ProcessedPostResponse` | `reportDelivery(EMOHMDF105ReportDeliveryRequest request, InputReference inputReference)`

Methods inherited from class be.ehealth.businessconnector.genericasync.helper.DefaultCommonAsyncService
`confirmAll, confirmAllMessages, confirmAllTAcks, confirmMessage, confirmTAck, validateXadesTWithManifest`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface be.ehealth.businessconnector.genericasync.helper.CommonAsyncService
`confirmAll, confirmAllMessages, confirmAllTAcks, confirmMessage, confirmTAck, validateXadesTWithManifest`

Constructor Detail

### VsbNetMohmServiceImpl

    public VsbNetMohmServiceImpl()

Method Detail

### getConsultApplication

    public ProcessedGetResponse<EMOHMDF103ConsultApplicationResponse> getConsultApplication(GetRequest request)
                                                                                     throws ConnectorException

  Specified by:
    `getConsultApplication` in interface `VsbNetMohmService`
  Throws:
    `ConnectorException`

### consultApplication

    public ProcessedPostResponse consultApplication(EMOHMDF103ConsultapplicationRequest request,
                                                    InputReference inputReference)
                                             throws ConnectorException

  Specified by:
    `consultApplication` in interface `VsbNetMohmService`
  Throws:
    `ConnectorException`

### getCreateApplication

    public ProcessedGetResponse<EMOHMDF101CreateApplicationResponse> getCreateApplication(GetRequest request)
                                                                                   throws ConnectorException

  Specified by:
    `getCreateApplication` in interface `VsbNetMohmService`
  Throws:
    `ConnectorException`

### createApplication

    public ProcessedPostResponse createApplication(EMOHMDF101CreateApplicationRequest request,
                                                   InputReference inputReference)
                                            throws ConnectorException

  Specified by:
    `createApplication` in interface `VsbNetMohmService`
  Throws:
    `ConnectorException`

### getCreateFictionalApplication

    public ProcessedGetResponse<EMOHMDF102CreateFictionalApplicationResponse> getCreateFictionalApplication(GetRequest request)
                                                                                                     throws ConnectorException

  Specified by:
    `getCreateFictionalApplication` in interface `VsbNetMohmService`
  Throws:
    `ConnectorException`

### createFictionalApplication

    public ProcessedPostResponse createFictionalApplication(EMOHMDF102CreateFictionalApplicationRequest request,
                                                            InputReference inputReference)
                                                     throws ConnectorException

  Specified by:
    `createFictionalApplication` in interface `VsbNetMohmService`
  Throws:
    `ConnectorException`

### getConsultSupportAndRepair

    public ProcessedGetResponse<EMOHMDF104ConsultSupportAndRepairResponse> getConsultSupportAndRepair(GetRequest request)
                                                                                               throws ConnectorException

  Specified by:
    `getConsultSupportAndRepair` in interface `VsbNetMohmService`
  Throws:
    `ConnectorException`

### consultSupportAndRepairList

    public ProcessedPostResponse consultSupportAndRepairList(EMOHMDF112ConsultSupportAndRepairListRequest request,
                                                             InputReference inputReference)
                                                      throws ConnectorException

  Specified by:
    `consultSupportAndRepairList` in interface `VsbNetMohmService`
  Throws:
    `ConnectorException`

### getConsultSupportAndRepairList

    public ProcessedGetResponse<EMOHMDF112ConsultSupportAndRepairListResponse> getConsultSupportAndRepairList(GetRequest request)
                                                                                                       throws ConnectorException

  Specified by:
    `getConsultSupportAndRepairList` in interface `VsbNetMohmService`
  Throws:
    `ConnectorException`

### cancelApplication

    public ProcessedPostResponse cancelApplication(EMOHMDF111CancelApplicationRequest request,
                                                   InputReference inputReference)
                                            throws ConnectorException

  Specified by:
    `cancelApplication` in interface `VsbNetMohmService`
  Throws:
    `ConnectorException`

### getCancelApplication

    public ProcessedGetResponse<EMOHMDF111CancelApplicationResponse> getCancelApplication(GetRequest request)
                                                                                   throws ConnectorException

  Specified by:
    `getCancelApplication` in interface `VsbNetMohmService`
  Throws:
    `ConnectorException`

### consultSupportAndRepair

    public ProcessedPostResponse consultSupportAndRepair(EMOHMDF104ConsultSupportAndRepairRequest request,
                                                         InputReference inputReference)
                                                  throws ConnectorException

  Specified by:
    `consultSupportAndRepair` in interface `VsbNetMohmService`
  Throws:
    `ConnectorException`

### getReportDelivery

    public ProcessedGetResponse<EMOHMDF105ReportDeliveryResponse> getReportDelivery(GetRequest request)
                                                                             throws ConnectorException

  Specified by:
    `getReportDelivery` in interface `VsbNetMohmService`
  Throws:
    `ConnectorException`

### reportDelivery

    public ProcessedPostResponse reportDelivery(EMOHMDF105ReportDeliveryRequest request,
                                                InputReference inputReference)
                                         throws ConnectorException

  Specified by:
    `reportDelivery` in interface `VsbNetMohmService`
  Throws:
    `ConnectorException`

### getPushDecision

    public ProcessedGetResponse<EMOHMDF106PushDecisionRequest> getPushDecision(GetRequest request)
                                                                        throws ConnectorException

  Specified by:
    `getPushDecision` in interface `VsbNetMohmService`
  Throws:
    `ConnectorException`

### getPushApplicationView

    public ProcessedGetResponse<EMOHMDF107PushApplicationViewRequest> getPushApplicationView(GetRequest request)
                                                                                      throws ConnectorException

  Specified by:
    `getPushApplicationView` in interface `VsbNetMohmService`
  Throws:
    `ConnectorException`

### bootstrap

    public void bootstrap()

  Specified by:
    `bootstrap` in interface `ConfigurationModuleBootstrap.ModuleBootstrapHook`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging TRUSSMAKER 3.20.2 API
Copyright © {inceptionYear}-2020 eHealth. All Rights Reserved.